<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_10</title>
</head>
<body>
    <h1>Capitulo 10</h1>
    <a>Ejercicio 11</a>

    <script>

        const sonPicos = (arr, n, num, i,  j) => {
 
            if (i >= 0 && arr[i] > num) {
                return false; 
            }

            if (j < n && arr[j] > num) {
                return false;
            }

            return true;
        }
 

        const sonValles = ( arr, n,  num, i,  j) => {
 
            if (i >= 0 && arr[i] < num) {
                return false;
            }
 
            if (j < n && arr[j] < num) {
                return false;
            }
            return true;
        }
 
        function totalPicoValles( arr, n) {
            console.log("Picos: ");
            for (var i = 0; i < n; i++) { 
                if (sonPicos(arr, n, arr[i], i - 1, i + 1)) {
                    console.log(arr[i]); 
                }
            }
            
            console.log("Valles: ");
            for (var i = 0; i < n; i++) {
                if (sonValles(arr, n, arr[i], i - 1, i + 1)) {
                    console.log(arr[i]); 
                }
            }
        }

let arr=[ 5, 10, 5, 7, 4, 3, 5 ]; 
totalPicoValles(arr, 7);
    
    

</script>
    
</body>
</html>